shishi_randomize(3)

NAME
shishi_randomize - API function

SYNOPSIS
#include <shishi.h>

int shishi_randomize(Shishi * handle, int strong, void * data, size_t datalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

int strong
    0 iff operation should not block, non-0 for very strong randomness.

void * data
    output array to be filled with random data.

size_t datalen
    size of output array.

DESCRIPTION
Store cryptographically random data of given size in the provided buffer.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.